package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.Date;
import java.util.List;

/**
 * @Author: sunxiang
 * @Date: 2018/6/11 18:21
 * @Description:
 **/
public class DataRequirementAddModel {
    private Long id;
    private Long userId;
    @NotEmpty
    @FieldDescriber(descripton = "需求名称")
    private String rqrmntName;    //需求名称
    @NotEmpty
    @FieldDescriber(descripton = "需求摘要")
    private String rqrmntSummary; //需求摘要
    @NotEmpty
    @FieldDescriber(descripton = "数据用途")
    private String dataUses;    //数据用途
    private Long rqrmntSectorId;//数据需求部门Id
    //private String ;//数据需求部门
    private Long sectorId;    //数据所属部门ID
    private String sectorName;     //数据所属部门
    private String platformType;    //平台类型
    private String rqrmntType; //需求类型
   /* private String dataName;    //数据名称
    private String dataItem;    //数据项 */
    private List<DataRequirementDataModel> dataRequirementDataList;  //我认为：一个需求可以多个“数据需求-数据”ist
    private Integer flag;       //开放/共享需求区分标识符
    private Integer subOrTem;  //共享平台的：1；提交 2；暂存
    private String delIds;
    private String rqrmntState;
    private Long publishBy;
    private Date publishAt;

    public Date getPublishAt() {
        return publishAt;
    }

    public void setPublishAt(Date publishAt) {
        this.publishAt = publishAt;
    }

    public Long getPublishBy() {
        return publishBy;
    }

    public void setPublishBy(Long publishBy) {
        this.publishBy = publishBy;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDelIds() {
        return delIds;
    }

    public void setDelIds(String delIds) {
        this.delIds = delIds;
    }

    public Integer getSubOrTem() {
        return subOrTem;
    }

    public void setSubOrTem(Integer subOrTem) {
        this.subOrTem = subOrTem;
    }

    public String getRqrmntType() {
        return rqrmntType;
    }

    public void setRqrmntType(String rqrmntType) {
        this.rqrmntType = rqrmntType;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public Long getRqrmntSectorId() {
        return rqrmntSectorId;
    }

    public void setRqrmntSectorId(Long rqrmntSectorId) {
        this.rqrmntSectorId = rqrmntSectorId;
    }

    public Integer getFlag() {
        return flag;
    }

    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    public String getRqrmntName() {
        return rqrmntName;
    }

    public void setRqrmntName(String rqrmntName) {
        this.rqrmntName = rqrmntName;
    }

    public String getRqrmntSummary() {
        return rqrmntSummary;
    }

    public void setRqrmntSummary(String rqrmntSummary) {
        this.rqrmntSummary = rqrmntSummary;
    }

    public String getDataUses() {
        return dataUses;
    }

    public void setDataUses(String dataUses) {
        this.dataUses = dataUses;
    }

    public Long getSectorId() {
        return sectorId;
    }

    public void setSectorId(Long sectorId) {
        this.sectorId = sectorId;
    }

    public String getSectorName() {
        return sectorName;
    }

    public void setSectorName(String sectorName) {
        this.sectorName = sectorName;
    }

    public List<DataRequirementDataModel> getDataRequirementDataList() {
        return dataRequirementDataList;
    }

    public void setDataRequirementDataList(List<DataRequirementDataModel> dataRequirementDataList) {
        this.dataRequirementDataList = dataRequirementDataList;

    }

    public String getRqrmntState() {
        return rqrmntState;
    }

    public void setRqrmntState(String rqrmntState) {
        this.rqrmntState = rqrmntState;
    }
}
